org.apache.commons.lang3.function

## Interface FailableIntUnaryOperator<E extends Throwable>

- Type Parameters:
    `E` - Thrown exception.

      public interface FailableIntUnaryOperator<E extends Throwable>

  A functional interface like `IntUnaryOperator` that declares a `Throwable`.
  Since:
    3.11

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FailableIntUnaryOperator` | `NOP` NOP singleton

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default FailableIntUnaryOperator<E>` | `andThen(FailableIntUnaryOperator<E> after)` Returns a composed `FailableDoubleUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
    `int` | `applyAsInt(int operand)` Applies this operator to the given operand.
    `default FailableIntUnaryOperator<E>` | `compose(FailableIntUnaryOperator<E> before)` Returns a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
    `static <E extends Throwable> FailableIntUnaryOperator<E>` | `identity()` Returns a unary operator that always returns its input argument.
    `static <E extends Throwable> FailableIntUnaryOperator<E>` | `nop()` Returns The NOP singleton.

- - ### Field Detail

    - #### NOP

          static final FailableIntUnaryOperator NOP

      NOP singleton

  - ### Method Detail

    - #### identity

          static <E extends Throwable> FailableIntUnaryOperator<E> identity()

      Returns a unary operator that always returns its input argument.
      Type Parameters:
        `E` - Thrown exception.
      Returns:
        a unary operator that always returns its input argument

    - #### nop

          static <E extends Throwable> FailableIntUnaryOperator<E> nop()

      Returns The NOP singleton.
      Type Parameters:
        `E` - Thrown exception.
      Returns:
        The NOP singleton.

    - #### andThen

          default FailableIntUnaryOperator<E> andThen(FailableIntUnaryOperator<E> after)

      Returns a composed `FailableDoubleUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
      Parameters:
        `after` - the operator to apply after this one.
      Returns:
        a composed `FailableIntUnaryOperator` like `IntUnaryOperator.andThen(IntUnaryOperator)`.
      Throws:
        `NullPointerException` - if after is null.
      See Also:
        `compose(FailableIntUnaryOperator)`

    - #### applyAsInt

          int applyAsInt(int operand)
                  throws E extends Throwable

      Applies this operator to the given operand.
      Parameters:
        `operand` - the operand
      Returns:
        the operator result
      Throws:
        `E` - Thrown when a consumer fails.
        `E extends Throwable`

    - #### compose

          default FailableIntUnaryOperator<E> compose(FailableIntUnaryOperator<E> before)

      Returns a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
      Parameters:
        `before` - the operator to apply before this one.
      Returns:
        a composed `FailableIntUnaryOperator` like `IntUnaryOperator.compose(IntUnaryOperator)`.
      Throws:
        `NullPointerException` - if before is null.
      See Also:
        `andThen(FailableIntUnaryOperator)`

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.